/***************************************************************************
 *                                                                         *
 *   src/concadgui/src/main.cpp                                            *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <concadgui/mainwindow.h>

#include <qtextcodec.h>
#include <qsplashscreen.h>
#include <qstylefactory.h>

using concadgui::MainWindow;

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	
	QSplashScreen* splash = new QSplashScreen(QPixmap::fromMimeSource("concad-splash.png"));
	splash->show();

	/*QTranslator* qtrans = new QTranslator(0);
	qtrans->load(QString("qt_")+QTextCodec::locale(), qApp->applicationDirPath()+"/../translations");
	a.installTranslator(qtrans);
	QTranslator* ctrans = new QTranslator(0);
	ctrans->load(QString("concad_")+QTextCodec::locale(), qApp->applicationDirPath()+"/../translations");
	a.installTranslator(ctrans);*/
	
	MainWindow* w = new MainWindow;
	a.setMainWidget(w);
	
	splash->finish(w);
	delete splash;
	
	w->show();
	return a.exec();
}

// EOF
