TEMPLATE = lib
DESTDIR = ../../lib
CONFIG += qt warn_on release -lqt-mt
LANGUAGE = C++
INCLUDEPATH += ../../include
SOURCES += 	src/engine/cadarc.cpp \
			src/engine/cadcircle.cpp \
			src/engine/cadcolor.cpp \
			src/engine/caddrawing.cpp \
			src/engine/cadellipse.cpp \
			src/engine/cadentity.cpp \
			src/engine/cadentitycontainer.cpp \
			src/engine/cadlayer.cpp \
			src/engine/cadlayerlist.cpp \
			src/engine/cadline.cpp \
			src/engine/cadlinetype.cpp \
			src/engine/cadlinetypelist.cpp \
			src/engine/cadpen.cpp \
			src/engine/cadpoint.cpp \
			src/engine/cadray.cpp \
			src/engine/cadvector.cpp \
			src/engine/cadxline.cpp \
			src/util/layerrenaming.cpp \
			src/util/layerrenamingmanager.cpp \
			src/xmlexport/xmlarc.cpp \
			src/xmlexport/xmlcircle.cpp \
			src/xmlexport/xmldrawing.cpp \
			src/xmlexport/xmlentity.cpp \
			src/xmlexport/xmlentitycontainer.cpp \
			src/xmlexport/xmllayer.cpp \
			src/xmlexport/xmllayerlist.cpp \
			src/xmlexport/xmlline.cpp \
			src/xmlexport/xmllinetype.cpp \
			src/xmlexport/xmllinetypelist.cpp \
			src/xmlexport/xmlpen.cpp \
			src/xmlexport/xmlpoint.cpp \
			src/xmlexport/xmlray.cpp \
			src/xmlexport/xmlxline.cpp 
HEADERS +=  ../../include/cad/engine/cadarc.h \
			../../include/cad/engine/cadcircle.h \
			../../include/cad/engine/cadcolor.h \
			../../include/cad/engine/caddrawing.h \
			../../include/cad/engine/cadellipse.h \
			../../include/cad/engine/cadentity.h \
			../../include/cad/engine/cadentitycontainer.h \
			../../include/cad/engine/cadlayer.h \
			../../include/cad/engine/cadlayerlist.h \
			../../include/cad/engine/cadline.h \
			../../include/cad/engine/cadlinetype.h \
			../../include/cad/engine/cadlinetypelist.h \
			../../include/cad/engine/cadpen.h \
			../../include/cad/engine/cadpoint.h \
			../../include/cad/engine/cadray.h \
			../../include/cad/engine/cadvector.h \
			../../include/cad/engine/cadxline.h \
			../../include/cad/util/exception.h \
			../../include/cad/util/layerrenaming.h \
			../../include/cad/util/layerrenamingmanager.h \
			../../include/cad/xmlexport/xmlarc.h \
			../../include/cad/xmlexport/xmlcircle.h \
			../../include/cad/xmlexport/xmldrawing.h \
			../../include/cad/xmlexport/xmlentity.h \
			../../include/cad/xmlexport/xmlentitycontainer.h \
			../../include/cad/xmlexport/xmllayer.h \
			../../include/cad/xmlexport/xmllayerlist.h \
			../../include/cad/xmlexport/xmlline.h \
			../../include/cad/xmlexport/xmllinetype.h \
			../../include/cad/xmlexport/xmllinetypelist.h \
			../../include/cad/xmlexport/xmlpen.h \
			../../include/cad/xmlexport/xmlpoint.h \
			../../include/cad/xmlexport/xmlray.h \
			../../include/cad/xmlexport/xmlxline.h 
OBJECTS_DIR = obj
