/***************************************************************************
 *                                                                         *
 *   src/cad/src/engine/cadentity.cpp                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/engine/cadentity.h>

using namespace cad::engine;

unsigned long int CADEntity::idCount = 0;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/**
 * Constructor
 * Create a CADEntity with the given layer and pen
 */
CADEntity::CADEntity(QString layer, CADPen pen)
{
	entityID = idCount++;
	setLayer(layer);
	setPen(pen);
}

/** Destructor */
CADEntity::~CADEntity()
{

}

// EOF
