/***************************************************************************
 *                                                                         *
 *   src/cad/src/engine/cadpen.cpp                                         *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/engine/cadpen.h>

using namespace cad::engine;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** 
 * Constructor
 * Creates a default CADPen with the given attributes
 */
CADPen::CADPen(CADColor color, QString linetype, double linetypeFactor)
{
	setColor(color);
	setLinetype(linetype);
	setLinetypeFactor(linetypeFactor);
}

/** Destructor */
CADPen::~CADPen()
{

}

// EOF
