/***************************************************************************
 *                                                                         *
 *   src/cad/src/util/layerrenaming.cpp                                    *
 *   (C) 2004 by Bernhard Jantscher                                        *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/util/layerrenaming.h>

using cad::util::LayerRenaming;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
LayerRenaming::LayerRenaming() {

}

/**
 * Constructor
 * Create a LayerRenaming with the given names
 */
LayerRenaming::LayerRenaming(QString layerold, QString layernew) {
	this->layernew = layernew;
	this->layerold = layerold;
}

/** Destructor */
LayerRenaming::~LayerRenaming() {

}

// EOF
