TEMPLATE = lib
DESTDIR = ../../lib
CONFIG += qt warn_on release -lqt-mt
LANGUAGE = C++
INCLUDEPATH += ../../include
#LIBS += ../../lib -lcad
SOURCES += 	src/commandhistory.cpp \
			src/drawingmanager.cpp \
			src/iointerface.cpp \
			src/creators/arccreator.cpp \
			src/creators/circlecreator.cpp \
			src/creators/ellipsecreator.cpp \
			src/creators/entitycreator.cpp \
			src/creators/linecreator.cpp \
			src/creators/pointcreator.cpp \
			src/creators/raycreator.cpp \
			src/creators/xlinecreator.cpp \
			src/undoredo/undo.cpp \
			src/undoredo/undoactivepen.cpp \
			src/undoredo/undoarc.cpp \
			src/undoredo/undocircle.cpp \
			src/undoredo/undoellipse.cpp \
			src/undoredo/undolayer.cpp \
			src/undoredo/undoline.cpp \
			src/undoredo/undolinetype.cpp \
			src/undoredo/undopoint.cpp \
			src/undoredo/undoray.cpp \
			src/undoredo/undoxline.cpp 
HEADERS += 	../../include/concadio/commandhistory.h \
			../../include/concadio/drawingmanager.h \
			../../include/concadio/iointerface.h \
			../../include/concadio/creators/arccreator.h \
			../../include/concadio/creators/circlecreator.h \
			../../include/concadio/creators/ellipsecreator.h \
			../../include/concadio/creators/entitycreator.h \
			../../include/concadio/creators/linecreator.h \
			../../include/concadio/creators/pointcreator.h \
			../../include/concadio/creators/raycreator.h \
			../../include/concadio/creators/xlinecreator.h \
			../../include/concadio/undoredo/undo.h \
			../../include/concadio/undoredo/undoactivepen.h \
			../../include/concadio/undoredo/undoarc.h \
			../../include/concadio/undoredo/undocircle.h \
			../../include/concadio/undoredo/undoellipse.h \
			../../include/concadio/undoredo/undolayer.h \
			../../include/concadio/undoredo/undoline.h \
			../../include/concadio/undoredo/undolinetype.h \
			../../include/concadio/undoredo/undopoint.h \
			../../include/concadio/undoredo/undoray.h \
			../../include/concadio/undoredo/undoxline.h 
OBJECTS_DIR = obj
